Bug 1343538 (CVE-2016-1181) - CVE-2016-1181 struts: Vulnerability in ActionForm allows unintended remote operations against components on server memory
Summary: CVE-2016-1181 struts: Vulnerability in ActionForm allows unintended remote op...
Status: CLOSED WONTFIX
Alias: CVE-2016-1181
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20160607,repo...
Keywords: Security
Depends On: 1343542 1343541 1348087 1379732
Blocks: 1343545
TreeView+ depends on / blocked
 
Reported: 2016-06-07 12:33 UTC by Adam Mariš
Modified: 2017-05-17 06:08 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-17 06:08:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adam Mariš 2016-06-07 12:33:36 UTC
A vulnerability in Apache Struts 1 ActionForm allowing unintended remote operations against components on server memory, such as Servlets and ClassLoader, was found.

Affects Apache Struts versions 1.0 through 1.3.10

External References:

https://jvn.jp/en/jp/JVN03188560/

Comment 1 Adam Mariš 2016-06-07 12:40:13 UTC
Created struts tracking bugs for this issue:

Affects: fedora-all [bug 1343541]
Affects: epel-7 [bug 1343542]

Comment 2 gil cattaneo 2016-06-07 14:57:03 UTC
Seem a duplicate of CVE-2015-0899. Already fixed
https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2015-0899

Comment 6 Fedora Update System 2016-06-30 19:51:35 UTC
struts-1.3.10-18.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-06-30 21:26:49 UTC
struts-1.3.10-18.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Tomas Lestach 2016-12-01 09:45:44 UTC
Is there a tracking bug for RHEL6 builds?

Comment 13 Adam Mariš 2016-12-01 11:46:53 UTC
(In reply to Tomas Lestach from comment #12)
> Is there a tracking bug for RHEL6 builds?

I don't see struts being shipped in RHEL-6. Am I something missing?

Comment 15 Tomas Lestach 2016-12-02 08:41:15 UTC
Not saying we're shipping struts in RHEL6. But struts-1.3.10-6.ep5.el6 has been shipped in EAP5 or Satellite 5.
https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=356255

Comment 16 Doran Moppert 2017-05-17 06:04:38 UTC
Statement:

This issue affects the version of struts shipped with Red Hat Enterprise Linux 5, which is currently in Extended Life Phase. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification https://access.redhat.com/security/updates/classification/ and the Red Hat Enterprise Linux Life Cycle https://access.redhat.com/support/policy/updates/errata/.


Note You need to log in before you can comment on or make changes to this bug.